%% An example of detecting a pedestrian using motion-constrained Graph Cut

close all
clear
clc

%% input the image  

im1 = imread('img_00010.bmp');
im2 = imread('img_00011.bmp');

mat = double((im1));


%% create the combined difference image  

% DComb = MotionConstraint(im1,im2);
load DComb

%% calculate the weights between pixels

% mat_var = 20;
[height, width] = size(im1);

% E = edges4connected(height,width);
% B_p_q = exp(-abs(mat(E(:,1))-mat(E(:,2))))./(2*mat_var^2);

load PP

%% calculate the weights between source and sink


% seeds = select_seeds(mat,10);
load seeds

%T = calc_SS(seeds,mat,DComb);
load SS


%% labelling using Graph Cut 

[flow,labels] = maxflow(N,T);
labels = reshape(labels,[height, width]);