function BW_final = MotionConstraint(im1,im2)

% this function computes the final combined difference image 
% from the four shifted versions of difference images

imII = circshift(im2,-1,1);
diffImII = im1 - imII;
imTT = circshift(im2,1,1);
diffImTT = im1 - imTT;
imPP = circshift(im2,-1,2);
diffImPP = im1 - imPP;
imJJ = circshift(im2,1,2);
diffImJJ = im1 - imJJ;

BWTT = diffImTT > 25;
BWPP = diffImPP > 25;
BWJJ = diffImJJ > 25;
BWII = diffImII > 25;

BW_final = zeros(size(BWTT));
BW_final(BWTT == true) = true; 
BW_final(BWPP == true) = true; 
BW_final(BWJJ == true) = true; 
BW_final(BWII == true) = true; 




