function T = calc_SS(seeds,im4seg,DComb)
% this is to calculate the weights for the pixel to terminal (source and sink) connections

K = 1000;
lambda = 1;
[r,c] = size (im4seg);
T = zeros(r*c, 2);

obj_X = seeds(:,1);
obj_Y = seeds(:,2);
bkg_X = seeds(:,3);
bkg_Y = seeds(:,4);


ind_bkg = sub2ind(size(im4seg), bkg_X, bkg_Y);
bkg_pixels = im4seg(ind_bkg);

ind_obj = sub2ind(size(im4seg), obj_X, obj_Y);
obj_pixels = im4seg(ind_obj);

find(DComb == 1);


hist_bkg = hist(bkg_pixels, 0:255);
hist_obj = hist(obj_pixels, 0:255);


bkg_pr = hist_bkg./max(hist_bkg);
obj_pr = hist_obj./max(hist_obj);

% Source terminal(Object)
count=1;

for i = 1 : c
    for j = 1 : r
        if(size(find(obj_X == i),1)&&size(find(obj_Y == j),1)) || (DComb(i,j) == 1) % Check for foreground pixels
               T(count,1)=K; %if expression is true, likelihood of being foreground
           
        else
            if(size(find(bkg_X == i),1)&&size(find(bkg_Y == j),1))% Check for background pixels
                T(count,1)=0;
            else
                 T(count,1)=-lambda*log(bkg_pr(im4seg(j,i)+1)); % Else
            end
        end

        count=count+1;
    end
end

count=1;
% Sink terminal(Background)
for i = 1 : c
    for j = 1 : r
        if(size(find(obj_X == i),1)&&size(find(obj_Y == j),1))% Check for foreground pixels          
            T(count,2)=0;
            
        else
            if(size(find(bkg_X == i),1)&&size(find(bkg_Y == j),1)) % Check for background pixels
             T(count,2)=K;
            
            else
                 T(count,2)=-lambda*log(obj_pr(im4seg(j,i)+1));
            end
        end

        count=count+1;
    end
end

T=sparse(T);
end