function seeded = select_seeds(im4seg,no_clicks)
%this function selects the seeds for source and target for calculating terminal
%weights. no_clicks is the number of times to select the 

%this is to select foreground or object of interest seeds
disp('select foreground pixels');
imshow(im4seg,[]);
[x,y] = ginput(no_clicks);
obj(:,1)=ceil(y);
obj(:,2)=ceil(x);
close all;

%this is to select background 
disp('select background pixels');
imshow(im4seg,[]);
[x1,y1] = ginput(no_clicks);
bkg(:,1)=ceil(y1);
bkg(:,2)=ceil(x1);
close all;

seeded = [obj bkg];